* {
    scroll-behavior: smooth;
    font-family: "Montserrat", sans-serif;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
    display: none;
}

::-moz-selection {
    /* Code for Firefox */
    background: #e3242c;
}

::selection {
    background: #e3242c;
}

/* FORM CONTROL FOCUS */
.form-control:focus {
    border-color: #e3242c;
    box-shadow: 0 0 0 0.2rem rgba(227, 36, 44, 0.35);
}

/* Login Page */
.login_card {
    background-color: rgba(0, 0, 0, 0.45);
    backdrop-filter: blur(10px);
    color: #fff;
    border-color: rgba(227, 36, 44, 0.75);
    box-shadow: 0 0 0 0.2rem rgba(227, 36, 44, 0.35);
}

/* Navbar */
@media (max-width: 991.99px) {
    .offcanvas-collapse {
        position: fixed;
        top: 90px; /* Height of navbar */
        bottom: 0;
        left: 100%;
        width: 100%;
        padding-right: 1rem;
        padding-left: 1rem;
        overflow-y: auto;
        visibility: hidden;
        background-color: #343a40;
        transition: transform 0.3s ease-in-out, visibility 0.3s ease-in-out;
    }
    .offcanvas-collapse.open {
        visibility: visible;
        transform: translateX(-100%);
    }
    .breadcrumbs-page {
        padding: 0;
        margin-top: 0;
    }
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

.nav-scroller .nav {
    color: rgba(255, 255, 255, 0.75);
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}

.nav-scroller .nav-link {
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
    font-size: 0.875rem;
    color: #6c757d;
}

.nav-scroller .nav-link:hover {
    /* color: #007bff; */
}

.nav-scroller .active {
    font-weight: 500;
    color: #343a40;
}

.dropdown:hover > .dropdown-menu {
    display: block;
}

.dropdown > .dropdown-toggle:active {
    /*Without this, clicking will make it sticky*/
    pointer-events: none;
}

/* Back to Top */
#btn-back-to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    height: 75px;
    width: 75px;
    font-size: 23px;
    border-radius: 50%;
    /* box-shadow: 2px 2px 3px #353535; */
    background-color: #343a40;
    border: 0px;
}
@media (max-width: 768px) {
    #btn-back-to-top {
        position: fixed;
        bottom: 20px;
        right: 20px;
        height: 50px;
        width: 50px;
        font-size: 10px;
        border-radius: 50%;
        /* box-shadow: 2px 2px 3px #353535; */
        background-color: #343a40;
        border: 0px;
    }
}

/* Customize Text */
.fw-400 {
    font-weight: 400 !important;
}
.fw-500 {
    font-weight: 500 !important;
}
.fw-600 {
    font-weight: 600 !important;
}
.fw-700 {
    font-weight: 700 !important;
}
